# Created by pyp2rpm-3.3.8
%global pypi_name titlecase
%global pypi_version 2.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python Port of John Gruber's titlecase.pl

License:        MIT
URL:            https://github.com/ppannuto/python-titlecase
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%generate_buildrequires
%pyproject_buildrequires

%description
Titlecase This filter changes a given text to Title Caps, and attempts to be
clever about SMALL words like a/an/the in the input. The list of "SMALL words"
which are not capped comes from the New York Times Manual of Style, plus some
others like 'vs' and 'v'.The filter employs some heuristics to guess
abbreviations that don't need conversion.++-+ | Original | Conversion | +++


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Titlecase This filter changes a given text to Title Caps, and attempts to be
clever about SMALL words like a/an/the in the input. The list of "SMALL words"
which are not capped comes from the New York Times Manual of Style, plus some
others like 'vs' and 'v'.The filter employs some heuristics to guess
abbreviations that don't need conversion.++-+ | Original | Conversion | +++


%prep
%autosetup -n %{pypi_name}-%{pypi_version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files titlecase


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/titlecase


%changelog
* Mon Jun 06 2022 Felix Kaechele <felix@kaechele.ca> - 2.3-1
- Initial package.
